import TreeDataPool from "../Pool/TreeData";
import CategoryData from "../Pool/CategoryData";
import MapData from "../Pool/MapData";
import CardList from "@/Pool/CardList";
import VideoPhotoData from "../Pool/VideoPhotoData";
import VideoTaskData from "@/Pool/VideoTaskData";
import VideoCaptrue from "@/Pool/VideoCapture";
import DataStackPool from"@/Pool/dataStack";

/* eslint-disable */
const onlyTreeDataPool = new TreeDataPool;
const onlyCategoryData = new CategoryData;
const onlyMapData = new MapData;
const onlyCardList = new CardList;
const onlyVideoPhotoData = new VideoPhotoData;
const onlyVideoTaskData = new VideoTaskData;
const onlyVideoCaptrue = new VideoCaptrue;
const onlyDataStackPool = new DataStackPool;

const mixin = {
  data() {
    return {
      TreeDataPool: onlyTreeDataPool,
      CategoryData: onlyCategoryData,
      MapData: onlyMapData,
      CardList: onlyCardList,
      VideoPhotoData: onlyVideoPhotoData,
      VideoTaskData: onlyVideoTaskData,
      VideoCaptrue: onlyVideoCaptrue,
      DataStackPool: onlyDataStackPool
    };
  },
};
export default mixin;